package com.jay.monitor.data.server.enums;


import com.jay.monitor.data.core.enums.EnumService;

/**
 * 公共的枚举
 *
 * @author liukx
 */
public enum CommonEnums implements EnumService {
    COMMON_PARAM_ERROR("COMMON.PARAM.ERROR", "参数[%s]错误"),
    COMMON_DATA_NOT_FOUND("COMMON.DATA.NOT.FOUND.ERROR", "数据未找到"),

    ROUTE_REQUEST_URL_ERROR("ROUTE.REQUEST.URL.ERROR", "请求的URL异常"),
    ROUTE_EUREKA_APP_ERROR("ROUTE.EUREKA.APP.ERROR", "Eureka找不到应用名称");


    private final String code;
    private final String message;

    CommonEnums(final String statusCode, final String reasonPhrase) {
        this.code = statusCode;
        this.message = reasonPhrase;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
